# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
Name:           lovelock-backgrounds
Version:        14.91.1
Release:        alt1_6
Summary:        Lovelock desktop backgrounds

Group:          Graphics
License:        CC-BY-SA
URL:            https://fedoraproject.org/wiki/F14_Artwork
Source0:        https://fedorahosted.org/released/design-team/%{name}-%{version}.tar.xz

BuildArch:      noarch

# for %%_kde4_* macros
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-kde = %{version}-%{release}
Source44: import.info


%description
This package contains desktop backgrounds for the Lovelock theme. Pulls in both
Gnome and KDE themes.

%package        single
Summary:        Single screen images for Lovelock Backgrounds
Group:          Graphics
License:        CC-BY-SA

%description    single
This package contains single screen images for Lovelock Backgrounds

#%package        animated
#Summary:        Images for Time of Day animation for Lovelock Backgrounds
#Group:          Applications/Multimedia
#License:        CC-BY-SA
#Requires:       %{name}-single = %{version}-%{release}

#%description    animated
#This package contains single screen images for Time of Day animation for 
#Lovelock Backgrounds

#%package        animated-gnome
#Summary:        Time of Day animation for Lovelock Backgrounds for Gnome
#Group:          Applications/Multimedia
#License:        CC-BY-SA
#Requires:       %{name}-animated = %{version}-%{release}

#%description    animated-gnome
#This package contains Time of Day animated wallpaper for Gnome dekstop for
#the Lovelock theme.

%package        kde 
Summary:        Lovelock Wallpapers for KDE 
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}

%description    kde 
This package contains KDE desktop wallpapers for the Lovelock theme.

%package        gnome 
Summary:        Lovelock Wallpapers for Gnome 
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}

%description    gnome 
This package contains Gnome desktop wallpapers for the Lovelock theme.

%package        xfce 
Summary:        Lovelock Wallpapers for XFCE4 
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}
Requires:       xfdesktop

%description    xfce 
This package contains XFCE4 desktop wallpapers for the Lovelock theme.

%package        stripes-single
Summary:        Single screen images for Lovelock Stripes Backgrounds
Group:          Graphics
License:        CC-BY-SA

%description    stripes-single
This package contains single screen images for Lovelock Stripes Backgrounds

#%package        stripes-animated
#Summary:        Images for Time of Day animation for Lovelock Stripes Backgrounds
#Group:          Applications/Multimedia
#License:        CC-BY-SA
#Requires:       %{name}-stripes-single = %{version}-%{release}

#%description    stripes-animated
#This package contains single screen images for Time of Day animation for 
#Lovelock Stripes Backgrounds

#%package        stripes-animated-gnome
#Summary:        Time of Day animation for Lovelock Stripes Backgrounds for Gnome
#Group:          Applications/Multimedia
#License:        CC-BY-SA
#Requires:       %{name}-stripes-animated = %{version}-%{release}

#%description    stripes-animated-gnome
#This package contains Time of Day animated wallpaper for Gnome dekstop for
#the Lovelock Stripes theme.

%package        stripes-kde 
Summary:        Lovelock Stripes Wallpapers for KDE 
Group:          Graphics

Requires:       %{name}-stripes-single = %{version}-%{release}

%description    stripes-kde 
This package contains KDE desktop wallpapers for the Lovelock Stripes theme.

%package        stripes-gnome 
Summary:        Lovelock Stripes Wallpapers for Gnome 
Group:          Graphics

Requires:       %{name}-stripes-single = %{version}-%{release}

%description    stripes-gnome 
This package contains Gnome desktop wallpapers for the Lovelock Stripes
theme.

%package        stripes-xfce 
Summary:        Lovelock Stripes Wallpapers for XFCE4 
Group:          Graphics

Requires:       %{name}-stripes-single = %{version}-%{release}
Requires:       xfdesktop

%description    stripes-xfce 
This package contains XFCE4 desktop wallpapers for the Lovelock Stripes
theme.


#%package        extras-single
#Summary:        Single screen images for Lovelock Extras Backrounds
#Group:          Applications/Multimedia
#License:        CC-BY and CC-BY-SA

#%description    extras-single
#This package contains single screen images for Lovelock supplemental wallpapers

#%package        extras-gnome
#Summary:        Extra Lovelock Wallpapers for Gnome
#Group:          Applications/Multimedia

#Requires:       %{name}-extras-single

#%description    extras-gnome
#This package contains Lovelock supplemental wallpapers for Gnome

#%package        extras-kde
#Summary:        Extra Lovelock Wallpapers for KDE
#Group:          Applications/Multimedia

#Requires:       %{name}-extras-single

#%description    extras-kde
#This package contains Lovelock supplemental wallpapers for Gnome


%prep
%setup -q


%build
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc

%files single
%doc CC-BY-SA?3.0 Attribution
%dir %{_datadir}/backgrounds/lovelock
%dir %{_datadir}/backgrounds/lovelock/default
%{_datadir}/backgrounds/lovelock/default/normalish
%{_datadir}/backgrounds/lovelock/default/standard
%{_datadir}/backgrounds/lovelock/default/wide

#%files animated
#%defattr(-,root,root,-)
#%dir %{_datadir}/backgrounds/lovelock/default-tod
#%{_datadir}/backgrounds/lovelock/default-tod/normalish
#%{_datadir}/backgrounds/lovelock/default-tod/standard
#%{_datadir}/backgrounds/lovelock/default-tod/wide

#%files animated-gnome
#%defattr(-,root,root,-)
#%{_datadir}/backgrounds/lovelock/default-tod/lovelock.xml
#%{_datadir}/gnome-background-properties/desktop-backgrounds-lovelock-animated.xml

%files kde
%{_kde4_datadir}/wallpapers/Lovelock/

%files gnome
%{_datadir}/backgrounds/lovelock/default/lovelock.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-lovelock.xml

%files xfce
%{_datadir}/xfce4/backdrops/lovelock.png

%files stripes-single
%doc CC-BY-SA?3.0 Attribution-Stripes
%dir %{_datadir}/backgrounds/lovelock
%dir %{_datadir}/backgrounds/lovelock/default-stripes
%{_datadir}/backgrounds/lovelock/default-stripes/normalish
%{_datadir}/backgrounds/lovelock/default-stripes/standard
%{_datadir}/backgrounds/lovelock/default-stripes/wide

#%files stripes-animated
#%defattr(-,root,root,-)
#%dir %{_datadir}/backgrounds/lovelock/default-stripes-tod
#%{_datadir}/backgrounds/lovelock/default-stripes-tod/normalish
#%{_datadir}/backgrounds/lovelock/default-stripes-tod/standard
#%{_datadir}/backgrounds/lovelock/default-stripes-tod/wide

#%files stripes-animated-gnome
#%defattr(-,root,root,-)
#%{_datadir}/backgrounds/lovelock/default-stripes-tod/lovelock.xml
#%{_datadir}/gnome-background-properties/desktop-backgrounds-lovelock-stripes-animated.xml

%files stripes-kde
%{_kde4_datadir}/wallpapers/Lovelock_Stripes/

%files stripes-gnome
%{_datadir}/backgrounds/lovelock/default-stripes/lovelock.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-lovelock-stripes.xml

%files stripes-xfce
%{_datadir}/xfce4/backdrops/lovelock-stripes.png

#%files extras-single
#%doc CC-BY\ 2.0 CC-BY-SA\ 2.0 CC-BY-SA\ 3.0 Attribution
#%defattr(-,root,root,-)
#%{_datadir}/backgrounds/lovelock/extras/*.jpg

#%files extras-gnome
#%defattr(-,root,root,-)
#%{_datadir}/backgrounds/lovelock/extras/lovelock-extras.xml
#%{_datadir}/gnome-background-properties/desktop-backgrounds-lovelock-extras.xml

#%files extras-kde
#%defattr(-,root,root,-)
#%{_kde4_datadir}/wallpapers/Lovelock_*/


%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 14.91.1-alt1_6
- initial fc import

